import java.util.ArrayList;

/*
    k-NN retrieval. Retrieves the top k armies based on rating and returns them.
 */
public class RetrieveSimple {

    public static ArrayList<Army> Retrieve(ArrayList<Army> army, int k, String wanted, double cost){

        double rating;
        String n = "None";
        ArrayList<Army> r = new ArrayList<>();

        for (int i = 0; i < army.size(); i++) {
            Army a = army.get(i);
            String s = army.get(i).getSquad().get(0).getUnit().get(0).getFaction();
            if ((r.size() < k && s.equals(wanted) && cost >= a.getCost() && cost <= a.getCost()+100) || (r.size() < k && n.equals(wanted) && cost >= a.getCost()) && cost <= a.getCost()+100) {
                if (detachmentCheck(a)) {
                    r.add(a);
                }
            }
            else if ((s.equals(wanted) && cost >= a.getCost()) || (n.equals(wanted) && cost >= a.getCost())) {
                double temp = Double.MAX_VALUE;
                int cnt = -1;
                for (int j = 0; j < r.size(); j++) {
                    if (r.get(j).getRating() < temp) {
                        temp = r.get(j).getRating();
                        cnt = j;
                    }
                }
                rating = temp;
                if (rating < a.getRating()) {
                    if (detachmentCheck(a)) {
                        r.set(cnt, a);
                    }
                }
            }
        }
        if (r.size() == 0){
            System.out.println("No army of desired faction and point value exists in case base, retrieving best army ignoring faction...");
            for (int i = 0; i < army.size(); i++) {
                Army a = army.get(i);
                if ((r.size() < k && cost >= a.getCost() && cost <= a.getCost()+100) || (r.size() < k && cost >= a.getCost()) && cost <= a.getCost()+100) {
                    if (detachmentCheck(a)) {
                        r.add(a);
                    }
                }
                else if (cost >= a.getCost()) {
                    double temp = Double.MAX_VALUE;
                    int cnt = -1;
                    for (int j = 0; j < r.size(); j++) {
                        if (r.get(j).getRating() < temp) {
                            temp = r.get(j).getRating();
                            cnt = j;
                        }
                    }
                    rating = temp;
                    if (rating < a.getRating()) {
                        if (detachmentCheck(a)) {
                            r.set(cnt, a);
                        }
                    }
                }
            }
        }
        if (r.size() == 0){
            System.out.println("No army found of cost less than or equal to point total. Shutting down.");
        }

        return r;
    }

    public static boolean detachmentCheck(Army a){
        String faction = a.getSquad().get(0).getUnit().get(0).getFaction();
        double solutionRatio = a.getSquad().size();
        double detachmentCheck = GeneralKnowledge.detachments(faction, a) / solutionRatio;
        if (detachmentCheck == 1.0){
            return true;
        }
        else{
            return false;
        }
    }
}
