import java.util.Scanner;

/*
    Revises the solution if necessary. Calculates scores for each squad, so ratings can be adjusted.
 */
public class Revise {

    /*
        Performs the main revision step.
        The first part of revision is entering the information from the game and calculating that information.
        The second part of revision is the reuse ran on the new squad rankings.
     */

    public static Army mainRevise(Army a, Army p){

        double k = 40.0;
        String s = "";
        Scanner input = new Scanner(System.in);

        double sRating = a.getRating();
        double pRating = p.getRating();

        /*
            First we check which army won, and adjust the ratings for the army.
         */

        while (!s.equals("S") && !s.equals("P") && !s.equals("D")){
            System.out.println("Which army was victorious? Type S for Solution Army and P for Problem Army and D for Draw.");
            s = input.nextLine();
        }

        double aExpected = Retrieve.ratioOfRating(a, p);
        double pExpected = Retrieve.ratioOfRating(p, a);

        if (s.equals("S")){
            a.setRating(a.getRating() + k*(1-aExpected));
            p.setRating(p.getRating() + k*(0-pExpected));
        }
        else if (s.equals("P")){
            a.setRating(a.getRating() + k*(0-aExpected));
            p.setRating(p.getRating() + k*(1-pExpected));
        }
        else{
            a.setRating(a.getRating() + k*(0.5-aExpected));
            p.setRating(p.getRating() + k*(0.5-pExpected));
        }

        CBRMain.reviseExplanations.add("Army ratings have been adjusted.\nThe solution army rating has been changed from: " + sRating + " to " + a.getRating() + ".\n" +
                                            "The problem army rating has been changed from: " + pRating + " to " + p.getRating() + ".");

        aExpected = Retrieve.ratioOfSquads(a,p);
        pExpected = Retrieve.ratioOfSquads(p,a);

        /*
            Then we state the ratings for each squad individually, first for the solution army then for the problem army.
         */

        System.out.println("Please input a win (w), draw (d), or loss (l) for each squad in the Solution Army. A squad that has not participated in the battle should be input as a draw.");
        for (int i = 0; i < a.getSquad().size(); i++){
            System.out.println("Please type in w, W, or win for wins, l, L or loss for loss and d, D or draw for draw for the squad referred to as " + a.getSquad().get(i).getName() + ".");
            s = input.nextLine();
            double score;
            if (s.equals("l") || s.equals("L") || s.equals("loss")){
                score = 0;
            }
            else if (s.equals("d") || s.equals("D") || s.equals("draw")){
                score = 0.5;
            }
            else if (s.equals("w") || s.equals("W") || s.equals("win")){
                score = 1;
            }
            else{
                System.out.println("Not a valid input. Type w, W or win for wins, type d, D or draw for draws, type l, L or loss for loss. " +
                                    "Squad is counted as a loss, you may restart the system if you want to change it.");
                score = 0;
            }
            a.getSquad().get(i).setRating(a.getSquad().get(i).getRating() + k*(score - aExpected));
        }

        System.out.println();
        System.out.println("Input finished for the Solution army. Input will now start for the Problem army.");
        for (int i = 0; i < p.getSquad().size(); i++){
            System.out.println("Please type in w, W, or win for wins, l, L or loss for loss and d, D or draw for draw for the squad referred to as " + p.getSquad().get(i).getName() + ".");
            s = input.nextLine();
            double score;
            if (s.equals("l") || s.equals("L") || s.equals("loss")){
                score = 0;
            }
            else if (s.equals("d") || s.equals("D") || s.equals("draw")){
                score = 0.5;
            }
            else if (s.equals("w") || s.equals("W") || s.equals("win")){
                score = 1;
            }
            else{
                System.out.println("Not a valid input. Type w, W or win for wins, type d, D or draw for draws, type l, L or loss for loss. " +
                        "Squad is counted as a loss, you may restart the system if you want to change it.");
                score = 0;
            }
            p.getSquad().get(i).setRating(p.getSquad().get(i).getRating() + k*(score - pExpected));
        }

        /*
            Now that we have calculated the ratings, we need to update them in the SquadList.
         */

        for (int i = 0; i < a.getSquad().size(); i++) {

            int checkDuplicates = 0;
            double rating = 0;
            for (int j = 0; j < a.getSquad().size(); j++) {
                if (CaseBaseLoading.checkDuplicate(a.getSquad().get(i), a.getSquad().get(j))) {
                    checkDuplicates++;
                    rating += a.getSquad().get(j).getRating();
                }
            }

            for (int j = 0; j < p.getSquad().size(); j++) {
                if (CaseBaseLoading.checkDuplicate(a.getSquad().get(i), p.getSquad().get(j))) {
                    checkDuplicates++;
                    rating += p.getSquad().get(j).getRating();
                }
            }

            for (int j = 0; j < CBRMain.SquadList.size(); j++) {
                if (CBRMain.SquadList.get(j).getName().contains(a.getSquad().get(i).getName())) {
                    //Check if there is a single duplicate in the system. If there is, we do not add a squad.
                    if (CaseBaseLoading.checkDuplicate(CBRMain.SquadList.get(j), a.getSquad().get(i))) {
                        CBRMain.SquadList.get(j).setRating(rating / checkDuplicates);
                    }
                }
            }
        }

        for (int i = 0; i < p.getSquad().size(); i++) {

            int checkDuplicates = 0;
            double rating = 0;
            for (int j = 0; j < a.getSquad().size(); j++) {
                if (CaseBaseLoading.checkDuplicate(p.getSquad().get(i), a.getSquad().get(j))) {
                    checkDuplicates++;
                    rating += a.getSquad().get(j).getRating();
                }
            }

            for (int j = 0; j < p.getSquad().size(); j++) {
                if (CaseBaseLoading.checkDuplicate(p.getSquad().get(i), p.getSquad().get(j))) {
                    checkDuplicates++;
                    rating += p.getSquad().get(j).getRating();
                }
            }

            for (int j = 0; j < CBRMain.SquadList.size(); j++) {
                if (CBRMain.SquadList.get(j).getName().contains(p.getSquad().get(i).getName())) {
                    //Check if there is a single duplicate in the system. If there is, we do not add a squad.
                    if (CaseBaseLoading.checkDuplicate(CBRMain.SquadList.get(j), p.getSquad().get(i))) {
                        CBRMain.SquadList.get(j).setRating(rating / checkDuplicates);
                    }
                }
            }
        }

        //Set the ratings back of the squads depending on the overall performance, so that Revise can work correctly for all squads.
        for (int i = 0; i < a.getSquad().size(); i++){
            for (int j = 0; j< CBRMain.SquadList.size(); j++){
                if (CBRMain.SquadList.get(j).getName().contains(a.getSquad().get(i).getName())) {
                    if (CaseBaseLoading.checkDuplicate(CBRMain.SquadList.get(j), a.getSquad().get(i))) {
                        a.getSquad().get(i).setRating(CBRMain.SquadList.get(j).getRating());
                    }
                }
            }
        }

        for (int i = 0; i < p.getSquad().size(); i++){
            for (int j = 0; j< CBRMain.SquadList.size(); j++){
                if (CBRMain.SquadList.get(j).getName().contains(p.getSquad().get(i).getName())) {
                    if (CaseBaseLoading.checkDuplicate(CBRMain.SquadList.get(j), p.getSquad().get(i))) {
                        p.getSquad().get(i).setRating(CBRMain.SquadList.get(j).getRating());
                    }
                }
            }
        }

        /*
            The ratings have been calculated, perform revision. This is done by running reuse.
         */

        CBRMain.reviseExplanations.add("Squad ratings have been adjusted based on their performance.\nAdapation will be performed a second time to see if there " +
                "are any changes that can be made.");

        return Reuse.mainReuse(a, p);
    }
}
