import java.util.ArrayList;
import java.util.List;

/*
    This is the Squad class that defines a squad.
 */
public class Squad {

    String name;
    double cost;
    String role;
    boolean base;
    double rating;
    List<Unit> unit;

    public Squad(String name, double cost, String role, boolean base, double rating, List<Unit> unit){
        this.name = name;
        this.cost = cost;
        this.role = role;
        this.base = base;
        this.rating = rating;
        this.unit = unit;
    }

    public Squad(Squad squad){
        this.name = squad.getName();
        this.cost = squad.getCost();
        this.role = squad.getRole();
        this.base = false;
        this.rating = squad.getRating();
        List<Unit> temp = new ArrayList<>();
        for (int i = 0; i < squad.getUnit().size(); i++) {
            if (squad.getUnit().get(i).getType().equals("Infantry") || squad.getUnit().get(i).getType().equals("Infantry-Character")
                    || squad.getUnit().get(i).getType().equals("Bike") || squad.getUnit().get(i).getType().equals("Bike-Character")
                    || squad.getUnit().get(i).getType().equals("Artillery")) {
                temp.add(new Unit(squad.getUnit().get(i), 0));
            }
            else if (squad.getUnit().get(i).getType().equals("Vehicle-Walker")) {
                temp.add(new Unit(squad.getUnit().get(i), 1));
            }
            else {
                temp.add(new Unit(squad.getUnit().get(i), 2));
            }
        }
        this.unit = temp;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public double getCost() {
        return cost;
    }

    public void setCost(double cost) {
        this.cost = cost;
    }

    public String getRole() {
        return role;
    }

    public boolean getBase() {return base;}

    public void setBase(boolean b) {this.base = b;}

    public void setRating(double rating) {
        this.rating = rating;
    }

    public double getRating() {
        return rating;
    }

    public List<Unit> getUnit() {
        return unit;
    }
}
