import java.util.ArrayList;
import java.util.List;

/*
    This is the Unit class that defines a unit.
 */
public class Unit {

    String name;
    double BS;
    double WS;
    double S;
    double T;
    double W;
    double I;
    double A;
    double LD;
    double AS;
    String type;
    boolean unique;
    double count;
    String faction;
    List<UnitEq> equipment;
    List<String> rules;
    List<Integer> options;
    String trait;
    double front;
    double side;
    double rear;
    double hp;

    public Unit(String name, double BS, double WS, double s, double t, double w, double i, double a, double LD, double AS, String type, boolean unique,
                double count, String faction, List<UnitEq> equipment, List<String> rules, List<Integer> options, String trait) {
        this.name = name;
        this.BS = BS;
        this.WS = WS;
        this.S = s;
        this.T = t;
        this.W = w;
        this.I = i;
        this.A = a;
        this.LD = LD;
        this.AS = AS;
        this.type = type;
        this.unique = unique;
        this.count = count;
        this.faction = faction;
        this.equipment = equipment;
        this.rules = rules;
        this.options = options;
        this.trait = trait;
    }

    public Unit(String name, double BS, double front, double side, double rear, double hp, String type, boolean unique, double count,
                String faction, List<UnitEq> equipment, List<String> rules, List<Integer> options, String trait){

        this.name = name;
        this.BS = BS;
        this.front = front;
        this.rear = rear;
        this.side = side;
        this.hp = hp;
        this.type = type;
        this.unique = unique;
        this.count = count;
        this.faction = faction;
        this.equipment = equipment;
        this.rules = rules;
        this.options = options;
        this.trait = trait;
    }

    public Unit(String name, double BS, double s, double WS, double i, double a, String type, boolean unique, double count, String faction,
                List<UnitEq> equipment, List<String> rules, List<Integer> options, String trait, double front, double side, double rear, double hp) {
        this.name = name;
        this.BS = BS;
        this.S = s;
        this.WS = WS;
        this.I = i;
        this.A = a;
        this.type = type;
        this.unique = unique;
        this.count = count;
        this.faction = faction;
        this.equipment = equipment;
        this.rules = rules;
        this.side = side;
        this.options = options;
        this.trait = trait;
        this.front = front;
        this.rear = rear;
        this.hp = hp;
    }

    public Unit(Unit unit, int s){
        List<UnitEq> tp = new ArrayList<>();
        List<String> tprules = new ArrayList<>();
        switch(s){
            case 0:
                this.name = unit.getName();
                this.BS = unit.getBS();
                this.WS = unit.getWS();
                this.S = unit.getS();
                this.T = unit.getT();
                this.W = unit.getW();
                this.I = unit.getI();
                this.A = unit.getA();
                this.LD = unit.getLD();
                this.AS = unit.getAS();
                this.type = unit.getType();
                this.unique = unit.isUnique();
                this.count = unit.getCount();
                this.faction = unit.getFaction();
                for (int i = 0; i < unit.getEquipment().size(); i++){
                    tp.add(new UnitEq(unit.getEquipment().get(i).getName(), unit.getEquipment().get(i).getCount()));
                }
                this.equipment = tp;
                for (int i = 0; i <unit.getRules().size(); i++){
                    tprules.add(unit.getRules().get(i));
                }
                this.rules = tprules;
                this.options = unit.getOptions();
                this.trait = unit.getTrait();
                break;
            case 1:
                this.name = unit.getName();
                this.BS = unit.getBS();
                this.WS = unit.getWS();
                this.S = unit.getS();
                this.I = unit.getI();
                this.A = unit.getA();
                this.type = unit.getType();
                this.unique = unit.isUnique();
                this.count = unit.getCount();
                this.faction = unit.getFaction();
                for (int i = 0; i < unit.getEquipment().size(); i++){
                    tp.add(new UnitEq(unit.getEquipment().get(i).getName(), unit.getEquipment().get(i).getCount()));
                }
                this.equipment = tp;
                for (int i = 0; i <unit.getRules().size(); i++){
                    tprules.add(unit.getRules().get(i));
                }
                this.rules = tprules;
                this.options = unit.getOptions();
                this.trait = unit.getTrait();
                this.side = unit.getSide();
                this.front = unit.getFront();
                this.rear = unit.getRear();
                this.hp = unit.getHp();
                break;
            case 2:
                this.name = unit.getName();
                this.BS = unit.getBS();
                this.type = unit.getType();
                this.unique = unit.isUnique();
                this.count = unit.getCount();
                this.faction = unit.getFaction();
                for (int i = 0; i < unit.getEquipment().size(); i++){
                    tp.add(new UnitEq(unit.getEquipment().get(i).getName(), unit.getEquipment().get(i).getCount()));
                }
                this.equipment = tp;
                for (int i = 0; i <unit.getRules().size(); i++){
                    tprules.add(unit.getRules().get(i));
                }
                this.rules = tprules;
                this.options = unit.getOptions();
                this.trait = unit.getTrait();
                this.side = unit.getSide();
                this.front = unit.getFront();
                this.rear = unit.getRear();
                this.hp = unit.getHp();
                break;
            default:
                break;
        }
    }

    public String getName() {
        return name;
    }

    public double getBS() {
        return BS;
    }

    public double getWS() {
        return WS;
    }

    public double getS() {
        return S;
    }

    public double getT() {
        return T;
    }

    public double getW() {
        return W;
    }

    public double getI() {
        return I;
    }

    public double getA() {
        return A;
    }

    public double getLD() {
        return LD;
    }

    public double getAS() {
        return AS;
    }

    public String getType() {
        return type;
    }

    public void setType(String type) {
        this.type = type;
    }

    public boolean isUnique() {
        return unique;
    }

    public double getCount() {
        return count;
    }

    public void setCount(double count) {
        this.count = count;
    }

    public String getFaction() {
        return faction;
    }

    public List<UnitEq> getEquipment() {
        return equipment;
    }

    public void setEquipment(List<UnitEq> equipment) {
        this.equipment = equipment;
    }

    public List<String> getRules() {
        return rules;
    }

    public void setRules(List<String> rules) {
        this.rules = rules;
    }

    public List<Integer> getOptions() {
        return options;
    }

    public String getTrait() {
        return trait;
    }

    public double getFront() {
        return front;
    }

    public double getSide() {
        return side;
    }

    public double getRear() {
        return rear;
    }

    public double getHp() {
        return hp;
    }
}
