import com.mongodb.client.MongoCollection;
import com.mongodb.client.MongoDatabase;
import org.bson.Document;

import java.util.ArrayList;
import java.util.List;

/*/*
    Main class for running the CBR-cycle.
    Loads the case bases and runs each step of the CBR-cycle.
 */
public class UtilityMaintenanceFunctions {

    public static List<Integer> countArmies(){

        List<Integer> armyCount = new ArrayList<>();

        for (int i = 0; i < 20; i++){
            armyCount.add(0);
        }

        for (int i = 0; i < CBRMain.ArmyList.size(); i++){
            String fac = CBRMain.ArmyList.get(i).getSquad().get(0).getUnit().get(0).getFaction();
            switch(fac){
                case "Chaos Space Marines":{
                    armyCount.set(0, armyCount.get(0)+1);
                    break;
                }
                case "Chaos Daemons":{
                    armyCount.set(1, armyCount.get(1)+1);
                    break;
                }
                case "Dark Eldar":{
                    armyCount.set(2, armyCount.get(2)+1);
                    break;
                }
                case "Craftworld Eldar":{
                    armyCount.set(3, armyCount.get(3)+1);
                    break;
                }
                case "Necrons":{
                    armyCount.set(4, armyCount.get(4)+1);
                    break;
                }
                case "Orks":{
                    armyCount.set(5, armyCount.get(5)+1);
                    break;
                }
                case "Tau Empire":{
                    armyCount.set(6, armyCount.get(6)+1);
                    break;
                }
                case "Tyranids":{
                    armyCount.set(7, armyCount.get(7)+1);
                    break;
                }
                case "Space Marines":{
                    armyCount.set(8, armyCount.get(8)+1);
                    break;
                }
                case "Space Wolves":{
                    armyCount.set(9, armyCount.get(9)+1);
                    break;
                }
                case "Grey Knights":{
                    armyCount.set(10, armyCount.get(10)+1);
                    break;
                }
                case "Blood Angels":{
                    armyCount.set(11, armyCount.get(11)+1);
                    break;
                }
                case "Dark Angels":{
                    armyCount.set(12, armyCount.get(12)+1);
                    break;
                }
                case "Astra Militarum":{
                    armyCount.set(13, armyCount.get(13)+1);
                    break;
                }
                case "Militarum Tempestus":{
                    armyCount.set(14, armyCount.get(14)+1);
                    break;
                }
                case "Inquisition":{
                    armyCount.set(15, armyCount.get(15)+1);
                    break;
                }
                case "Adeptus Sororitas":{
                    armyCount.set(16, armyCount.get(16)+1);
                    break;
                }
                case "Imperial Knights":{
                    armyCount.set(17, armyCount.get(17)+1);
                    break;
                }
                case "Skitarii":{
                    armyCount.set(18, armyCount.get(18)+1);
                    break;
                }
                case "Cult Mechanicus":{
                    armyCount.set(19, armyCount.get(19)+1);
                    break;
                }
            }
        }
        return armyCount;
    }

    public static List<Integer> countSquads(){

        List<Integer> squadCount = new ArrayList<>();

        for (int i = 0; i < 20; i++){
            squadCount.add(0);
        }

        for (int i = 0; i < CBRMain.SquadList.size(); i++) {
            String fac = CBRMain.SquadList.get(i).getUnit().get(0).getFaction();
            Boolean base = CBRMain.SquadList.get(i).getBase();
            if (!base) {
                switch (fac) {
                    case "Chaos Space Marines": {
                        squadCount.set(0, squadCount.get(0) + 1);
                        break;
                    }
                    case "Chaos Daemons": {
                        squadCount.set(1, squadCount.get(1) + 1);
                        break;
                    }
                    case "Dark Eldar": {
                        squadCount.set(2, squadCount.get(2) + 1);
                        break;
                    }
                    case "Craftworld Eldar": {
                        squadCount.set(3, squadCount.get(3) + 1);
                        break;
                    }
                    case "Necrons": {
                        squadCount.set(4, squadCount.get(4) + 1);
                        break;
                    }
                    case "Orks": {
                        squadCount.set(5, squadCount.get(5) + 1);
                        break;
                    }
                    case "Tau Empire": {
                        squadCount.set(6, squadCount.get(6) + 1);
                        break;
                    }
                    case "Tyranids": {
                        squadCount.set(7, squadCount.get(7) + 1);
                        break;
                    }
                    case "Space Marines": {
                        squadCount.set(8, squadCount.get(8) + 1);
                        break;
                    }
                    case "Space Wolves": {
                        squadCount.set(9, squadCount.get(9) + 1);
                        break;
                    }
                    case "Grey Knights": {
                        squadCount.set(10, squadCount.get(10) + 1);
                        break;
                    }
                    case "Blood Angels": {
                        squadCount.set(11, squadCount.get(11) + 1);
                        break;
                    }
                    case "Dark Angels": {
                        squadCount.set(12, squadCount.get(12) + 1);
                        break;
                    }
                    case "Astra Militarum": {
                        squadCount.set(13, squadCount.get(13) + 1);
                        break;
                    }
                    case "Militarum Tempestus": {
                        squadCount.set(14, squadCount.get(14) + 1);
                        break;
                    }
                    case "Inquisition": {
                        squadCount.set(15, squadCount.get(15) + 1);
                        break;
                    }
                    case "Adeptus Sororitas": {
                        squadCount.set(16, squadCount.get(16) + 1);
                        break;
                    }
                    case "Imperial Knights": {
                        squadCount.set(17, squadCount.get(17) + 1);
                        break;
                    }
                    case "Skitarii": {
                        squadCount.set(18, squadCount.get(18) + 1);
                        break;
                    }
                    case "Cult Mechanicus": {
                        squadCount.set(19, squadCount.get(19) + 1);
                        break;
                    }
                }
            }
        }
        return squadCount;
    }



    public static void removeLowest(MongoDatabase db, int l){
        MongoCollection<Document> armyCollection = db.getCollection("army");
        switch (l){
            case 0: {
                double lowest = Double.MAX_VALUE;
                int removal = -1;
                for (int i = 0; i < CBRMain.ArmyList.size(); i++) {
                    if (CBRMain.ArmyList.get(i).getSquad().get(0).getUnit().get(0).getFaction().equals("Chaos Space Marines")) {
                        if (CBRMain.ArmyList.get(i).getRating() < lowest){
                            lowest = CBRMain.ArmyList.get(i).getRating();
                            removal = i;
                        }
                    }
                }
                CBRMain.maintenanceExplanations.add("Army: " + CBRMain.ArmyList.get(removal).getName() + " has been deleted from the system.");
                CBRMain.maintenanceExplanations.add("It had a rating of: " + CBRMain.ArmyList.get(removal).getRating() + " and belonged to the " +
                                                    CBRMain.ArmyList.get(removal).getSquad().get(0).getUnit().get(0).getFaction() + " faction.");
                CBRMain.maintenanceExplanations.add("");
                armyCollection.deleteOne(new Document("Name", CBRMain.ArmyList.get(removal).getName()));
                CBRMain.ArmyList.remove(removal);
                break;
            }
            case 1: {
                double lowest = Double.MAX_VALUE;
                int removal = -1;
                for (int i = 0; i < CBRMain.ArmyList.size(); i++) {
                    if (CBRMain.ArmyList.get(i).getSquad().get(0).getUnit().get(0).getFaction().equals("Chaos Daemons")) {
                        if (CBRMain.ArmyList.get(i).getRating() < lowest){
                            lowest = CBRMain.ArmyList.get(i).getRating();
                            removal = i;
                        }
                    }
                }
                CBRMain.maintenanceExplanations.add("Army: " + CBRMain.ArmyList.get(removal).getName() + " has been deleted from the system.");
                CBRMain.maintenanceExplanations.add("It had a rating of: " + CBRMain.ArmyList.get(removal).getRating() + " and belonged to the " +
                        CBRMain.ArmyList.get(removal).getSquad().get(0).getUnit().get(0).getFaction() + " faction.");
                CBRMain.maintenanceExplanations.add("");
                armyCollection.deleteOne(new Document("Name", CBRMain.ArmyList.get(removal).getName()));
                CBRMain.ArmyList.remove(removal);
                break;
            }
            case 2: {
                double lowest = Double.MAX_VALUE;
                int removal = -1;
                for (int i = 0; i < CBRMain.ArmyList.size(); i++) {
                    if (CBRMain.ArmyList.get(i).getSquad().get(0).getUnit().get(0).getFaction().equals("Dark Eldar")) {
                        if (CBRMain.ArmyList.get(i).getRating() < lowest){
                            lowest = CBRMain.ArmyList.get(i).getRating();
                            removal = i;
                        }
                    }
                }
                CBRMain.maintenanceExplanations.add("Army: " + CBRMain.ArmyList.get(removal).getName() + " has been deleted from the system.");
                CBRMain.maintenanceExplanations.add("It had a rating of: " + CBRMain.ArmyList.get(removal).getRating() + " and belonged to the " +
                        CBRMain.ArmyList.get(removal).getSquad().get(0).getUnit().get(0).getFaction() + " faction.");
                CBRMain.maintenanceExplanations.add("");
                armyCollection.deleteOne(new Document("Name", CBRMain.ArmyList.get(removal).getName()));
                CBRMain.ArmyList.remove(removal);
                break;
            }
            case 3: {
                double lowest = Double.MAX_VALUE;
                int removal = -1;
                for (int i = 0; i < CBRMain.ArmyList.size(); i++) {
                    if (CBRMain.ArmyList.get(i).getSquad().get(0).getUnit().get(0).getFaction().equals("Craftworld Eldar")) {
                        if (CBRMain.ArmyList.get(i).getRating() < lowest){
                            lowest = CBRMain.ArmyList.get(i).getRating();
                            removal = i;
                        }
                    }
                }
                CBRMain.maintenanceExplanations.add("Army: " + CBRMain.ArmyList.get(removal).getName() + " has been deleted from the system.");
                CBRMain.maintenanceExplanations.add("It had a rating of: " + CBRMain.ArmyList.get(removal).getRating() + " and belonged to the " +
                        CBRMain.ArmyList.get(removal).getSquad().get(0).getUnit().get(0).getFaction() + " faction.");
                CBRMain.maintenanceExplanations.add("");
                armyCollection.deleteOne(new Document("Name", CBRMain.ArmyList.get(removal).getName()));
                CBRMain.ArmyList.remove(removal);
                break;
            }
            case 4: {
                double lowest = Double.MAX_VALUE;
                int removal = -1;
                for (int i = 0; i < CBRMain.ArmyList.size(); i++) {
                    if (CBRMain.ArmyList.get(i).getSquad().get(0).getUnit().get(0).getFaction().equals("Necrons")) {
                        if (CBRMain.ArmyList.get(i).getRating() < lowest){
                            lowest = CBRMain.ArmyList.get(i).getRating();
                            removal = i;
                        }
                    }
                }
                CBRMain.maintenanceExplanations.add("Army: " + CBRMain.ArmyList.get(removal).getName() + " has been deleted from the system.");
                CBRMain.maintenanceExplanations.add("It had a rating of: " + CBRMain.ArmyList.get(removal).getRating() + " and belonged to the " +
                        CBRMain.ArmyList.get(removal).getSquad().get(0).getUnit().get(0).getFaction() + " faction.");
                CBRMain.maintenanceExplanations.add("");
                armyCollection.deleteOne(new Document("Name", CBRMain.ArmyList.get(removal).getName()));
                CBRMain.ArmyList.remove(removal);
                break;
            }
            case 5: {
                double lowest = Double.MAX_VALUE;
                int removal = -1;
                for (int i = 0; i < CBRMain.ArmyList.size(); i++) {
                    if (CBRMain.ArmyList.get(i).getSquad().get(0).getUnit().get(0).getFaction().equals("Orks")) {
                        if (CBRMain.ArmyList.get(i).getRating() < lowest){
                            lowest = CBRMain.ArmyList.get(i).getRating();
                            removal = i;
                        }
                    }
                }
                CBRMain.maintenanceExplanations.add("Army: " + CBRMain.ArmyList.get(removal).getName() + " has been deleted from the system.");
                CBRMain.maintenanceExplanations.add("It had a rating of: " + CBRMain.ArmyList.get(removal).getRating() + " and belonged to the " +
                        CBRMain.ArmyList.get(removal).getSquad().get(0).getUnit().get(0).getFaction() + " faction.");
                CBRMain.maintenanceExplanations.add("");
                armyCollection.deleteOne(new Document("Name", CBRMain.ArmyList.get(removal).getName()));
                CBRMain.ArmyList.remove(removal);
                break;
            }
            case 6: {
                double lowest = Double.MAX_VALUE;
                int removal = -1;
                for (int i = 0; i < CBRMain.ArmyList.size(); i++) {
                    if (CBRMain.ArmyList.get(i).getSquad().get(0).getUnit().get(0).getFaction().equals("Tau Empire")) {
                        if (CBRMain.ArmyList.get(i).getRating() < lowest){
                            lowest = CBRMain.ArmyList.get(i).getRating();
                            removal = i;
                        }
                    }
                }
                CBRMain.maintenanceExplanations.add("Army: " + CBRMain.ArmyList.get(removal).getName() + " has been deleted from the system.");
                CBRMain.maintenanceExplanations.add("It had a rating of: " + CBRMain.ArmyList.get(removal).getRating() + " and belonged to the " +
                        CBRMain.ArmyList.get(removal).getSquad().get(0).getUnit().get(0).getFaction() + " faction.");
                CBRMain.maintenanceExplanations.add("");
                armyCollection.deleteOne(new Document("Name", CBRMain.ArmyList.get(removal).getName()));
                CBRMain.ArmyList.remove(removal);
                break;
            }
            case 7: {
                double lowest = Double.MAX_VALUE;
                int removal = -1;
                for (int i = 0; i < CBRMain.ArmyList.size(); i++) {
                    if (CBRMain.ArmyList.get(i).getSquad().get(0).getUnit().get(0).getFaction().equals("Tyranids")) {
                        if (CBRMain.ArmyList.get(i).getRating() < lowest){
                            lowest = CBRMain.ArmyList.get(i).getRating();
                            removal = i;
                        }
                    }
                }
                CBRMain.maintenanceExplanations.add("Army: " + CBRMain.ArmyList.get(removal).getName() + " has been deleted from the system.");
                CBRMain.maintenanceExplanations.add("It had a rating of: " + CBRMain.ArmyList.get(removal).getRating() + " and belonged to the " +
                        CBRMain.ArmyList.get(removal).getSquad().get(0).getUnit().get(0).getFaction() + " faction.");
                CBRMain.maintenanceExplanations.add("");
                armyCollection.deleteOne(new Document("Name", CBRMain.ArmyList.get(removal).getName()));
                CBRMain.ArmyList.remove(removal);
                break;
            }
            case 8: {
                double lowest = Double.MAX_VALUE;
                int removal = -1;
                for (int i = 0; i < CBRMain.ArmyList.size(); i++) {
                    if (CBRMain.ArmyList.get(i).getSquad().get(0).getUnit().get(0).getFaction().equals("Space Marines")) {
                        if (CBRMain.ArmyList.get(i).getRating() < lowest){
                            lowest = CBRMain.ArmyList.get(i).getRating();
                            removal = i;
                        }
                    }
                }
                CBRMain.maintenanceExplanations.add("Army: " + CBRMain.ArmyList.get(removal).getName() + " has been deleted from the system.");
                CBRMain.maintenanceExplanations.add("It had a rating of: " + CBRMain.ArmyList.get(removal).getRating() + " and belonged to the " +
                        CBRMain.ArmyList.get(removal).getSquad().get(0).getUnit().get(0).getFaction() + " faction.");
                CBRMain.maintenanceExplanations.add("");
                armyCollection.deleteOne(new Document("Name", CBRMain.ArmyList.get(removal).getName()));
                CBRMain.ArmyList.remove(removal);
                break;
            }
            case 9: {
                double lowest = Double.MAX_VALUE;
                int removal = -1;
                for (int i = 0; i < CBRMain.ArmyList.size(); i++) {
                    if (CBRMain.ArmyList.get(i).getSquad().get(0).getUnit().get(0).getFaction().equals("Space Wolves")) {
                        if (CBRMain.ArmyList.get(i).getRating() < lowest){
                            lowest = CBRMain.ArmyList.get(i).getRating();
                            removal = i;
                        }
                    }
                }
                CBRMain.maintenanceExplanations.add("Army: " + CBRMain.ArmyList.get(removal).getName() + " has been deleted from the system.");
                CBRMain.maintenanceExplanations.add("It had a rating of: " + CBRMain.ArmyList.get(removal).getRating() + " and belonged to the " +
                        CBRMain.ArmyList.get(removal).getSquad().get(0).getUnit().get(0).getFaction() + " faction.");
                CBRMain.maintenanceExplanations.add("");
                armyCollection.deleteOne(new Document("Name", CBRMain.ArmyList.get(removal).getName()));
                CBRMain.ArmyList.remove(removal);
                break;
            }
            case 10: {
                double lowest = Double.MAX_VALUE;
                int removal = -1;
                for (int i = 0; i < CBRMain.ArmyList.size(); i++) {
                    if (CBRMain.ArmyList.get(i).getSquad().get(0).getUnit().get(0).getFaction().equals("Grey Knights")) {
                        if (CBRMain.ArmyList.get(i).getRating() < lowest){
                            lowest = CBRMain.ArmyList.get(i).getRating();
                            removal = i;
                        }
                    }
                }
                CBRMain.maintenanceExplanations.add("Army: " + CBRMain.ArmyList.get(removal).getName() + " has been deleted from the system.");
                CBRMain.maintenanceExplanations.add("It had a rating of: " + CBRMain.ArmyList.get(removal).getRating() + " and belonged to the " +
                        CBRMain.ArmyList.get(removal).getSquad().get(0).getUnit().get(0).getFaction() + " faction.");
                CBRMain.maintenanceExplanations.add("");
                armyCollection.deleteOne(new Document("Name", CBRMain.ArmyList.get(removal).getName()));
                CBRMain.ArmyList.remove(removal);
                break;
            }
            case 11: {
                double lowest = Double.MAX_VALUE;
                int removal = -1;
                for (int i = 0; i < CBRMain.ArmyList.size(); i++) {
                    if (CBRMain.ArmyList.get(i).getSquad().get(0).getUnit().get(0).getFaction().equals("Blood Angels")) {
                        if (CBRMain.ArmyList.get(i).getRating() < lowest){
                            lowest = CBRMain.ArmyList.get(i).getRating();
                            removal = i;
                        }
                    }
                }
                CBRMain.maintenanceExplanations.add("Army: " + CBRMain.ArmyList.get(removal).getName() + " has been deleted from the system.");
                CBRMain.maintenanceExplanations.add("It had a rating of: " + CBRMain.ArmyList.get(removal).getRating() + " and belonged to the " +
                        CBRMain.ArmyList.get(removal).getSquad().get(0).getUnit().get(0).getFaction() + " faction.");
                CBRMain.maintenanceExplanations.add("");
                armyCollection.deleteOne(new Document("Name", CBRMain.ArmyList.get(removal).getName()));
                CBRMain.ArmyList.remove(removal);
                break;
            }
            case 12: {
                double lowest = Double.MAX_VALUE;
                int removal = -1;
                for (int i = 0; i < CBRMain.ArmyList.size(); i++) {
                    if (CBRMain.ArmyList.get(i).getSquad().get(0).getUnit().get(0).getFaction().equals("Dark Angels")) {
                        if (CBRMain.ArmyList.get(i).getRating() < lowest){
                            lowest = CBRMain.ArmyList.get(i).getRating();
                            removal = i;
                        }
                    }
                }
                CBRMain.maintenanceExplanations.add("Army: " + CBRMain.ArmyList.get(removal).getName() + " has been deleted from the system.");
                CBRMain.maintenanceExplanations.add("It had a rating of: " + CBRMain.ArmyList.get(removal).getRating() + " and belonged to the " +
                        CBRMain.ArmyList.get(removal).getSquad().get(0).getUnit().get(0).getFaction() + " faction.");
                CBRMain.maintenanceExplanations.add("");
                armyCollection.deleteOne(new Document("Name", CBRMain.ArmyList.get(removal).getName()));
                CBRMain.ArmyList.remove(removal);
                break;
            }
            case 13: {
                double lowest = Double.MAX_VALUE;
                int removal = -1;
                for (int i = 0; i < CBRMain.ArmyList.size(); i++) {
                    if (CBRMain.ArmyList.get(i).getSquad().get(0).getUnit().get(0).getFaction().equals("Astra Militarum")) {
                        if (CBRMain.ArmyList.get(i).getRating() < lowest){
                            lowest = CBRMain.ArmyList.get(i).getRating();
                            removal = i;
                        }
                    }
                }
                CBRMain.maintenanceExplanations.add("Army: " + CBRMain.ArmyList.get(removal).getName() + " has been deleted from the system.");
                CBRMain.maintenanceExplanations.add("It had a rating of: " + CBRMain.ArmyList.get(removal).getRating() + " and belonged to the " +
                        CBRMain.ArmyList.get(removal).getSquad().get(0).getUnit().get(0).getFaction() + " faction.");
                CBRMain.maintenanceExplanations.add("");
                armyCollection.deleteOne(new Document("Name", CBRMain.ArmyList.get(removal).getName()));
                CBRMain.ArmyList.remove(removal);
                break;
            }
            case 14: {
                double lowest = Double.MAX_VALUE;
                int removal = -1;
                for (int i = 0; i < CBRMain.ArmyList.size(); i++) {
                    if (CBRMain.ArmyList.get(i).getSquad().get(0).getUnit().get(0).getFaction().equals("Militarum Tempestus")) {
                        if (CBRMain.ArmyList.get(i).getRating() < lowest){
                            lowest = CBRMain.ArmyList.get(i).getRating();
                            removal = i;
                        }
                    }
                }
                CBRMain.maintenanceExplanations.add("Army: " + CBRMain.ArmyList.get(removal).getName() + " has been deleted from the system.");
                CBRMain.maintenanceExplanations.add("It had a rating of: " + CBRMain.ArmyList.get(removal).getRating() + " and belonged to the " +
                        CBRMain.ArmyList.get(removal).getSquad().get(0).getUnit().get(0).getFaction() + " faction.");
                CBRMain.maintenanceExplanations.add("");
                armyCollection.deleteOne(new Document("Name", CBRMain.ArmyList.get(removal).getName()));
                CBRMain.ArmyList.remove(removal);
                break;
            }
            case 15: {
                double lowest = Double.MAX_VALUE;
                int removal = -1;
                for (int i = 0; i < CBRMain.ArmyList.size(); i++) {
                    if (CBRMain.ArmyList.get(i).getSquad().get(0).getUnit().get(0).getFaction().equals("Inquisition")) {
                        if (CBRMain.ArmyList.get(i).getRating() < lowest){
                            lowest = CBRMain.ArmyList.get(i).getRating();
                            removal = i;
                        }
                    }
                }
                CBRMain.maintenanceExplanations.add("Army: " + CBRMain.ArmyList.get(removal).getName() + " has been deleted from the system.");
                CBRMain.maintenanceExplanations.add("It had a rating of: " + CBRMain.ArmyList.get(removal).getRating() + " and belonged to the " +
                        CBRMain.ArmyList.get(removal).getSquad().get(0).getUnit().get(0).getFaction() + " faction.");
                CBRMain.maintenanceExplanations.add("");
                armyCollection.deleteOne(new Document("Name", CBRMain.ArmyList.get(removal).getName()));
                CBRMain.ArmyList.remove(removal);
                break;
            }
            case 16: {
                double lowest = Double.MAX_VALUE;
                int removal = -1;
                for (int i = 0; i < CBRMain.ArmyList.size(); i++) {
                    if (CBRMain.ArmyList.get(i).getSquad().get(0).getUnit().get(0).getFaction().equals("Adeptus Sororitas")) {
                        if (CBRMain.ArmyList.get(i).getRating() < lowest){
                            lowest = CBRMain.ArmyList.get(i).getRating();
                            removal = i;
                        }
                    }
                }
                CBRMain.maintenanceExplanations.add("Army: " + CBRMain.ArmyList.get(removal).getName() + " has been deleted from the system.");
                CBRMain.maintenanceExplanations.add("It had a rating of: " + CBRMain.ArmyList.get(removal).getRating() + " and belonged to the " +
                        CBRMain.ArmyList.get(removal).getSquad().get(0).getUnit().get(0).getFaction() + " faction.");
                CBRMain.maintenanceExplanations.add("");
                armyCollection.deleteOne(new Document("Name", CBRMain.ArmyList.get(removal).getName()));
                CBRMain.ArmyList.remove(removal);
                break;
            }
            case 17: {
                double lowest = Double.MAX_VALUE;
                int removal = -1;
                for (int i = 0; i < CBRMain.ArmyList.size(); i++) {
                    if (CBRMain.ArmyList.get(i).getSquad().get(0).getUnit().get(0).getFaction().equals("Imperial Knights")) {
                        if (CBRMain.ArmyList.get(i).getRating() < lowest){
                            lowest = CBRMain.ArmyList.get(i).getRating();
                            removal = i;
                        }
                    }
                }
                CBRMain.maintenanceExplanations.add("Army: " + CBRMain.ArmyList.get(removal).getName() + " has been deleted from the system.");
                CBRMain.maintenanceExplanations.add("It had a rating of: " + CBRMain.ArmyList.get(removal).getRating() + " and belonged to the " +
                        CBRMain.ArmyList.get(removal).getSquad().get(0).getUnit().get(0).getFaction() + " faction.");
                CBRMain.maintenanceExplanations.add("");
                armyCollection.deleteOne(new Document("Name", CBRMain.ArmyList.get(removal).getName()));
                CBRMain.ArmyList.remove(removal);
                break;
            }
            case 18: {
                double lowest = Double.MAX_VALUE;
                int removal = -1;
                for (int i = 0; i < CBRMain.ArmyList.size(); i++) {
                    if (CBRMain.ArmyList.get(i).getSquad().get(0).getUnit().get(0).getFaction().equals("Skitarii")) {
                        if (CBRMain.ArmyList.get(i).getRating() < lowest){
                            lowest = CBRMain.ArmyList.get(i).getRating();
                            removal = i;
                        }
                    }
                }
                CBRMain.maintenanceExplanations.add("Army: " + CBRMain.ArmyList.get(removal).getName() + " has been deleted from the system.");
                CBRMain.maintenanceExplanations.add("It had a rating of: " + CBRMain.ArmyList.get(removal).getRating() + " and belonged to the " +
                        CBRMain.ArmyList.get(removal).getSquad().get(0).getUnit().get(0).getFaction() + " faction.");
                CBRMain.maintenanceExplanations.add("");
                armyCollection.deleteOne(new Document("Name", CBRMain.ArmyList.get(removal).getName()));
                CBRMain.ArmyList.remove(removal);
                break;
            }
            case 19: {
                double lowest = Double.MAX_VALUE;
                int removal = -1;
                for (int i = 0; i < CBRMain.ArmyList.size(); i++) {
                    if (CBRMain.ArmyList.get(i).getSquad().get(0).getUnit().get(0).getFaction().equals("Cult Mechanicus")) {
                        if (CBRMain.ArmyList.get(i).getRating() < lowest){
                            lowest = CBRMain.ArmyList.get(i).getRating();
                            removal = i;
                        }
                    }
                }
                CBRMain.maintenanceExplanations.add("Army: " + CBRMain.ArmyList.get(removal).getName() + " has been deleted from the system.");
                CBRMain.maintenanceExplanations.add("It had a rating of: " + CBRMain.ArmyList.get(removal).getRating() + " and belonged to the " +
                        CBRMain.ArmyList.get(removal).getSquad().get(0).getUnit().get(0).getFaction() + " faction.");
                CBRMain.maintenanceExplanations.add("");
                armyCollection.deleteOne(new Document("Name", CBRMain.ArmyList.get(removal).getName()));
                CBRMain.ArmyList.remove(removal);
                break;
            }
        }
    }

    public static void removeLowestSquad(MongoDatabase db, int l){
        MongoCollection<Document> squadCollection = db.getCollection("unit");
        switch (l){
            case 0: {
                double lowest = Double.MAX_VALUE;
                int removal = -1;
                for (int i = 0; i < CBRMain.SquadList.size(); i++) {
                    if (CBRMain.SquadList.get(i).getUnit().get(0).getFaction().equals("Chaos Space Marines")) {
                        if (CBRMain.SquadList.get(i).getRating() < lowest && !CBRMain.SquadList.get(i).getBase()){
                            lowest = CBRMain.SquadList.get(i).getRating();
                            removal = i;
                        }
                    }
                }
                CBRMain.maintenanceExplanations.add("Squad: " + CBRMain.SquadList.get(removal).getName() + " has been deleted from the system.");
                CBRMain.maintenanceExplanations.add("It had a rating of: " + CBRMain.SquadList.get(removal).getRating() + " and belonged to the " +
                        CBRMain.SquadList.get(removal).getUnit().get(0).getFaction() + " faction.");
                CBRMain.maintenanceExplanations.add("");
                squadCollection.deleteOne(new Document("Name", CBRMain.SquadList.get(removal).getName()));
                CBRMain.SquadList.remove(removal);
                break;
            }
            case 1: {
                double lowest = Double.MAX_VALUE;
                int removal = -1;
                for (int i = 0; i < CBRMain.SquadList.size(); i++) {
                    if (CBRMain.SquadList.get(i).getUnit().get(0).getFaction().equals("Chaos Daemons")) {
                        if (CBRMain.SquadList.get(i).getRating() < lowest && !CBRMain.SquadList.get(i).getBase()){
                            lowest = CBRMain.SquadList.get(i).getRating();
                            removal = i;
                        }
                    }
                }
                CBRMain.maintenanceExplanations.add("Squad: " + CBRMain.SquadList.get(removal).getName() + " has been deleted from the system.");
                CBRMain.maintenanceExplanations.add("It had a rating of: " + CBRMain.SquadList.get(removal).getRating() + " and belonged to the " +
                        CBRMain.SquadList.get(removal).getUnit().get(0).getFaction() + " faction.");
                CBRMain.maintenanceExplanations.add("");
                squadCollection.deleteOne(new Document("Name", CBRMain.SquadList.get(removal).getName()));
                CBRMain.SquadList.remove(removal);
                break;
            }
            case 2: {
                double lowest = Double.MAX_VALUE;
                int removal = -1;
                for (int i = 0; i < CBRMain.SquadList.size(); i++) {
                    if (CBRMain.SquadList.get(i).getUnit().get(0).getFaction().equals("Dark Eldar")) {
                        if (CBRMain.SquadList.get(i).getRating() < lowest && !CBRMain.SquadList.get(i).getBase()){
                            lowest = CBRMain.SquadList.get(i).getRating();
                            removal = i;
                        }
                    }
                }
                CBRMain.maintenanceExplanations.add("Squad: " + CBRMain.SquadList.get(removal).getName() + " has been deleted from the system.");
                CBRMain.maintenanceExplanations.add("It had a rating of: " + CBRMain.SquadList.get(removal).getRating() + " and belonged to the " +
                        CBRMain.SquadList.get(removal).getUnit().get(0).getFaction() + " faction.");
                CBRMain.maintenanceExplanations.add("");
                squadCollection.deleteOne(new Document("Name", CBRMain.SquadList.get(removal).getName()));
                CBRMain.SquadList.remove(removal);
                break;
            }
            case 3: {
                double lowest = Double.MAX_VALUE;
                int removal = -1;
                for (int i = 0; i < CBRMain.SquadList.size(); i++) {
                    if (CBRMain.SquadList.get(i).getUnit().get(0).getFaction().equals("Craftworld Eldar")) {
                        if (CBRMain.SquadList.get(i).getRating() < lowest && !CBRMain.SquadList.get(i).getBase()){
                            lowest = CBRMain.SquadList.get(i).getRating();
                            removal = i;
                        }
                    }
                }
                CBRMain.maintenanceExplanations.add("Squad: " + CBRMain.SquadList.get(removal).getName() + " has been deleted from the system.");
                CBRMain.maintenanceExplanations.add("It had a rating of: " + CBRMain.SquadList.get(removal).getRating() + " and belonged to the " +
                        CBRMain.SquadList.get(removal).getUnit().get(0).getFaction() + " faction.");
                CBRMain.maintenanceExplanations.add("");
                squadCollection.deleteOne(new Document("Name", CBRMain.SquadList.get(removal).getName()));
                CBRMain.SquadList.remove(removal);
                break;
            }
            case 4: {
                double lowest = Double.MAX_VALUE;
                int removal = -1;
                for (int i = 0; i < CBRMain.SquadList.size(); i++) {
                    if (CBRMain.SquadList.get(i).getUnit().get(0).getFaction().equals("Necrons")) {
                        if (CBRMain.SquadList.get(i).getRating() < lowest && !CBRMain.SquadList.get(i).getBase()){
                            lowest = CBRMain.SquadList.get(i).getRating();
                            removal = i;
                        }
                    }
                }
                CBRMain.maintenanceExplanations.add("Squad: " + CBRMain.SquadList.get(removal).getName() + " has been deleted from the system.");
                CBRMain.maintenanceExplanations.add("It had a rating of: " + CBRMain.SquadList.get(removal).getRating() + " and belonged to the " +
                        CBRMain.SquadList.get(removal).getUnit().get(0).getFaction() + " faction.");
                CBRMain.maintenanceExplanations.add("");
                squadCollection.deleteOne(new Document("Name", CBRMain.SquadList.get(removal).getName()));
                CBRMain.SquadList.remove(removal);
                break;
            }
            case 5: {
                double lowest = Double.MAX_VALUE;
                int removal = -1;
                for (int i = 0; i < CBRMain.SquadList.size(); i++) {
                    if (CBRMain.SquadList.get(i).getUnit().get(0).getFaction().equals("Orks")) {
                        if (CBRMain.SquadList.get(i).getRating() < lowest && !CBRMain.SquadList.get(i).getBase()){
                            lowest = CBRMain.SquadList.get(i).getRating();
                            removal = i;
                        }
                    }
                }
                CBRMain.maintenanceExplanations.add("Squad: " + CBRMain.SquadList.get(removal).getName() + " has been deleted from the system.");
                CBRMain.maintenanceExplanations.add("It had a rating of: " + CBRMain.SquadList.get(removal).getRating() + " and belonged to the " +
                        CBRMain.SquadList.get(removal).getUnit().get(0).getFaction() + " faction.");
                CBRMain.maintenanceExplanations.add("");
                squadCollection.deleteOne(new Document("Name", CBRMain.SquadList.get(removal).getName()));
                CBRMain.SquadList.remove(removal);
                break;
            }
            case 6: {
                double lowest = Double.MAX_VALUE;
                int removal = -1;
                for (int i = 0; i < CBRMain.SquadList.size(); i++) {
                    if (CBRMain.SquadList.get(i).getUnit().get(0).getFaction().equals("Tau Empire")) {
                        if (CBRMain.SquadList.get(i).getRating() < lowest && !CBRMain.SquadList.get(i).getBase()){
                            lowest = CBRMain.SquadList.get(i).getRating();
                            removal = i;
                        }
                    }
                }
                CBRMain.maintenanceExplanations.add("Squad: " + CBRMain.SquadList.get(removal).getName() + " has been deleted from the system.");
                CBRMain.maintenanceExplanations.add("It had a rating of: " + CBRMain.SquadList.get(removal).getRating() + " and belonged to the " +
                        CBRMain.SquadList.get(removal).getUnit().get(0).getFaction() + " faction.");
                CBRMain.maintenanceExplanations.add("");
                squadCollection.deleteOne(new Document("Name", CBRMain.SquadList.get(removal).getName()));
                CBRMain.SquadList.remove(removal);
                break;
            }
            case 7: {
                double lowest = Double.MAX_VALUE;
                int removal = -1;
                for (int i = 0; i < CBRMain.SquadList.size(); i++) {
                    if (CBRMain.SquadList.get(i).getUnit().get(0).getFaction().equals("Tyranids")) {
                        if (CBRMain.SquadList.get(i).getRating() < lowest && !CBRMain.SquadList.get(i).getBase()){
                            lowest = CBRMain.SquadList.get(i).getRating();
                            removal = i;
                        }
                    }
                }
                CBRMain.maintenanceExplanations.add("Squad: " + CBRMain.SquadList.get(removal).getName() + " has been deleted from the system.");
                CBRMain.maintenanceExplanations.add("It had a rating of: " + CBRMain.SquadList.get(removal).getRating() + " and belonged to the " +
                        CBRMain.SquadList.get(removal).getUnit().get(0).getFaction() + " faction.");
                CBRMain.maintenanceExplanations.add("");
                squadCollection.deleteOne(new Document("Name", CBRMain.SquadList.get(removal).getName()));
                CBRMain.SquadList.remove(removal);
                break;
            }
            case 8: {
                double lowest = Double.MAX_VALUE;
                int removal = -1;
                for (int i = 0; i < CBRMain.SquadList.size(); i++) {
                    if (CBRMain.SquadList.get(i).getUnit().get(0).getFaction().equals("Space Marines")) {
                        if (CBRMain.SquadList.get(i).getRating() < lowest && !CBRMain.SquadList.get(i).getBase()){
                            lowest = CBRMain.SquadList.get(i).getRating();
                            removal = i;
                        }
                    }
                }
                CBRMain.maintenanceExplanations.add("Squad: " + CBRMain.SquadList.get(removal).getName() + " has been deleted from the system.");
                CBRMain.maintenanceExplanations.add("It had a rating of: " + CBRMain.SquadList.get(removal).getRating() + " and belonged to the " +
                        CBRMain.SquadList.get(removal).getUnit().get(0).getFaction() + " faction.");
                CBRMain.maintenanceExplanations.add("");
                squadCollection.deleteOne(new Document("Name", CBRMain.SquadList.get(removal).getName()));
                CBRMain.SquadList.remove(removal);
                break;
            }
            case 9: {
                double lowest = Double.MAX_VALUE;
                int removal = -1;
                for (int i = 0; i < CBRMain.SquadList.size(); i++) {
                    if (CBRMain.SquadList.get(i).getUnit().get(0).getFaction().equals("Space Wolves")) {
                        if (CBRMain.SquadList.get(i).getRating() < lowest && !CBRMain.SquadList.get(i).getBase()){
                            lowest = CBRMain.SquadList.get(i).getRating();
                            removal = i;
                        }
                    }
                }
                CBRMain.maintenanceExplanations.add("Squad: " + CBRMain.SquadList.get(removal).getName() + " has been deleted from the system.");
                CBRMain.maintenanceExplanations.add("It had a rating of: " + CBRMain.SquadList.get(removal).getRating() + " and belonged to the " +
                        CBRMain.SquadList.get(removal).getUnit().get(0).getFaction() + " faction.");
                CBRMain.maintenanceExplanations.add("");
                squadCollection.deleteOne(new Document("Name", CBRMain.SquadList.get(removal).getName()));
                CBRMain.SquadList.remove(removal);
                break;
            }
            case 10: {
                double lowest = Double.MAX_VALUE;
                int removal = -1;
                for (int i = 0; i < CBRMain.SquadList.size(); i++) {
                    if (CBRMain.SquadList.get(i).getUnit().get(0).getFaction().equals("Grey Knights")) {
                        if (CBRMain.SquadList.get(i).getRating() < lowest && !CBRMain.SquadList.get(i).getBase()){
                            lowest = CBRMain.SquadList.get(i).getRating();
                            removal = i;
                        }
                    }
                }
                CBRMain.maintenanceExplanations.add("Squad: " + CBRMain.SquadList.get(removal).getName() + " has been deleted from the system.");
                CBRMain.maintenanceExplanations.add("It had a rating of: " + CBRMain.SquadList.get(removal).getRating() + " and belonged to the " +
                        CBRMain.SquadList.get(removal).getUnit().get(0).getFaction() + " faction.");
                CBRMain.maintenanceExplanations.add("");
                squadCollection.deleteOne(new Document("Name", CBRMain.SquadList.get(removal).getName()));
                CBRMain.SquadList.remove(removal);
                break;
            }
            case 11: {
                double lowest = Double.MAX_VALUE;
                int removal = -1;
                for (int i = 0; i < CBRMain.SquadList.size(); i++) {
                    if (CBRMain.SquadList.get(i).getUnit().get(0).getFaction().equals("Blood Angels")) {
                        if (CBRMain.SquadList.get(i).getRating() < lowest && !CBRMain.SquadList.get(i).getBase()){
                            lowest = CBRMain.SquadList.get(i).getRating();
                            removal = i;
                        }
                    }
                }
                CBRMain.maintenanceExplanations.add("Squad: " + CBRMain.SquadList.get(removal).getName() + " has been deleted from the system.");
                CBRMain.maintenanceExplanations.add("It had a rating of: " + CBRMain.SquadList.get(removal).getRating() + " and belonged to the " +
                        CBRMain.SquadList.get(removal).getUnit().get(0).getFaction() + " faction.");
                CBRMain.maintenanceExplanations.add("");
                squadCollection.deleteOne(new Document("Name", CBRMain.SquadList.get(removal).getName()));
                CBRMain.SquadList.remove(removal);
                break;
            }
            case 12: {
                double lowest = Double.MAX_VALUE;
                int removal = -1;
                for (int i = 0; i < CBRMain.SquadList.size(); i++) {
                    if (CBRMain.SquadList.get(i).getUnit().get(0).getFaction().equals("Dark Angels")) {
                        if (CBRMain.SquadList.get(i).getRating() < lowest && !CBRMain.SquadList.get(i).getBase()){
                            lowest = CBRMain.SquadList.get(i).getRating();
                            removal = i;
                        }
                    }
                }
                CBRMain.maintenanceExplanations.add("Squad: " + CBRMain.SquadList.get(removal).getName() + " has been deleted from the system.");
                CBRMain.maintenanceExplanations.add("It had a rating of: " + CBRMain.SquadList.get(removal).getRating() + " and belonged to the " +
                        CBRMain.SquadList.get(removal).getUnit().get(0).getFaction() + " faction.");
                CBRMain.maintenanceExplanations.add("");
                squadCollection.deleteOne(new Document("Name", CBRMain.SquadList.get(removal).getName()));
                CBRMain.SquadList.remove(removal);
                break;
            }
            case 13: {
                double lowest = Double.MAX_VALUE;
                int removal = -1;
                for (int i = 0; i < CBRMain.SquadList.size(); i++) {
                    if (CBRMain.SquadList.get(i).getUnit().get(0).getFaction().equals("Astra Militarum")) {
                        if (CBRMain.SquadList.get(i).getRating() < lowest && !CBRMain.SquadList.get(i).getBase()){
                            lowest = CBRMain.SquadList.get(i).getRating();
                            removal = i;
                        }
                    }
                }
                CBRMain.maintenanceExplanations.add("Squad: " + CBRMain.SquadList.get(removal).getName() + " has been deleted from the system.");
                CBRMain.maintenanceExplanations.add("It had a rating of: " + CBRMain.SquadList.get(removal).getRating() + " and belonged to the " +
                        CBRMain.SquadList.get(removal).getUnit().get(0).getFaction() + " faction.");
                CBRMain.maintenanceExplanations.add("");
                squadCollection.deleteOne(new Document("Name", CBRMain.SquadList.get(removal).getName()));
                CBRMain.SquadList.remove(removal);
                break;
            }
            case 14: {
                double lowest = Double.MAX_VALUE;
                int removal = -1;
                for (int i = 0; i < CBRMain.SquadList.size(); i++) {
                    if (CBRMain.SquadList.get(i).getUnit().get(0).getFaction().equals("Militarum Tempestus")) {
                        if (CBRMain.SquadList.get(i).getRating() < lowest && !CBRMain.SquadList.get(i).getBase()){
                            lowest = CBRMain.SquadList.get(i).getRating();
                            removal = i;
                        }
                    }
                }
                CBRMain.maintenanceExplanations.add("Squad: " + CBRMain.SquadList.get(removal).getName() + " has been deleted from the system.");
                CBRMain.maintenanceExplanations.add("It had a rating of: " + CBRMain.SquadList.get(removal).getRating() + " and belonged to the " +
                        CBRMain.SquadList.get(removal).getUnit().get(0).getFaction() + " faction.");
                CBRMain.maintenanceExplanations.add("");
                squadCollection.deleteOne(new Document("Name", CBRMain.SquadList.get(removal).getName()));
                CBRMain.SquadList.remove(removal);
                break;
            }
            case 15: {
                double lowest = Double.MAX_VALUE;
                int removal = -1;
                for (int i = 0; i < CBRMain.SquadList.size(); i++) {
                    if (CBRMain.SquadList.get(i).getUnit().get(0).getFaction().equals("Inquisition")) {
                        if (CBRMain.SquadList.get(i).getRating() < lowest && !CBRMain.SquadList.get(i).getBase()){
                            lowest = CBRMain.SquadList.get(i).getRating();
                            removal = i;
                        }
                    }
                }
                CBRMain.maintenanceExplanations.add("Squad: " + CBRMain.SquadList.get(removal).getName() + " has been deleted from the system.");
                CBRMain.maintenanceExplanations.add("It had a rating of: " + CBRMain.SquadList.get(removal).getRating() + " and belonged to the " +
                        CBRMain.SquadList.get(removal).getUnit().get(0).getFaction() + " faction.");
                CBRMain.maintenanceExplanations.add("");
                squadCollection.deleteOne(new Document("Name", CBRMain.SquadList.get(removal).getName()));
                CBRMain.SquadList.remove(removal);
                break;
            }
            case 16: {
                double lowest = Double.MAX_VALUE;
                int removal = -1;
                for (int i = 0; i < CBRMain.SquadList.size(); i++) {
                    if (CBRMain.SquadList.get(i).getUnit().get(0).getFaction().equals("Adeptus Sororitas")) {
                        if (CBRMain.SquadList.get(i).getRating() < lowest && !CBRMain.SquadList.get(i).getBase()){
                            lowest = CBRMain.SquadList.get(i).getRating();
                            removal = i;
                        }
                    }
                }
                CBRMain.maintenanceExplanations.add("Squad: " + CBRMain.SquadList.get(removal).getName() + " has been deleted from the system.");
                CBRMain.maintenanceExplanations.add("It had a rating of: " + CBRMain.SquadList.get(removal).getRating() + " and belonged to the " +
                        CBRMain.SquadList.get(removal).getUnit().get(0).getFaction() + " faction.");
                CBRMain.maintenanceExplanations.add("");
                squadCollection.deleteOne(new Document("Name", CBRMain.SquadList.get(removal).getName()));
                CBRMain.SquadList.remove(removal);
                break;
            }
            case 17: {
                double lowest = Double.MAX_VALUE;
                int removal = -1;
                for (int i = 0; i < CBRMain.SquadList.size(); i++) {
                    if (CBRMain.SquadList.get(i).getUnit().get(0).getFaction().equals("Imperial Knights")) {
                        if (CBRMain.SquadList.get(i).getRating() < lowest && !CBRMain.SquadList.get(i).getBase()){
                            lowest = CBRMain.SquadList.get(i).getRating();
                            removal = i;
                        }
                    }
                }
                CBRMain.maintenanceExplanations.add("Squad: " + CBRMain.SquadList.get(removal).getName() + " has been deleted from the system.");
                CBRMain.maintenanceExplanations.add("It had a rating of: " + CBRMain.SquadList.get(removal).getRating() + " and belonged to the " +
                        CBRMain.SquadList.get(removal).getUnit().get(0).getFaction() + " faction.");
                CBRMain.maintenanceExplanations.add("");
                squadCollection.deleteOne(new Document("Name", CBRMain.SquadList.get(removal).getName()));
                CBRMain.SquadList.remove(removal);
                break;
            }
            case 18: {
                double lowest = Double.MAX_VALUE;
                int removal = -1;
                for (int i = 0; i < CBRMain.SquadList.size(); i++) {
                    if (CBRMain.SquadList.get(i).getUnit().get(0).getFaction().equals("Skitarii")) {
                        if (CBRMain.SquadList.get(i).getRating() < lowest && !CBRMain.SquadList.get(i).getBase()){
                            lowest = CBRMain.SquadList.get(i).getRating();
                            removal = i;
                        }
                    }
                }
                CBRMain.maintenanceExplanations.add("Squad: " + CBRMain.SquadList.get(removal).getName() + " has been deleted from the system.");
                CBRMain.maintenanceExplanations.add("It had a rating of: " + CBRMain.SquadList.get(removal).getRating() + " and belonged to the " +
                        CBRMain.SquadList.get(removal).getUnit().get(0).getFaction() + " faction.");
                CBRMain.maintenanceExplanations.add("");
                squadCollection.deleteOne(new Document("Name", CBRMain.SquadList.get(removal).getName()));
                CBRMain.SquadList.remove(removal);
                break;
            }
            case 19: {
                double lowest = Double.MAX_VALUE;
                int removal = -1;
                for (int i = 0; i < CBRMain.SquadList.size(); i++) {
                    if (CBRMain.SquadList.get(i).getUnit().get(0).getFaction().equals("Cult Mechanicus")) {
                        if (CBRMain.SquadList.get(i).getRating() < lowest && !CBRMain.SquadList.get(i).getBase()){
                            lowest = CBRMain.SquadList.get(i).getRating();
                            removal = i;
                        }
                    }
                }
                CBRMain.maintenanceExplanations.add("Squad: " + CBRMain.SquadList.get(removal).getName() + " has been deleted from the system.");
                CBRMain.maintenanceExplanations.add("It had a rating of: " + CBRMain.SquadList.get(removal).getRating() + " and belonged to the " +
                        CBRMain.SquadList.get(removal).getUnit().get(0).getFaction() + " faction.");
                CBRMain.maintenanceExplanations.add("");
                squadCollection.deleteOne(new Document("Name", CBRMain.SquadList.get(removal).getName()));
                CBRMain.SquadList.remove(removal);
                break;
            }
        }
    }
}
